@echo off
@REM **************************************************************************
@REM Licensed Material - Property of IBM
@REM 5724-M24
@REM Copyright IBM Corporation 2011, 2016. All Rights Reserved.
@REM US Government Users Restricted Rights- Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM **************************************************************************
@REM Data migration from V6.1/6.2/7.0 to V7.5
@REM **************************************************************************
setlocal

@REM call "%~dp0\..\..\..\bin\setupCmdLine.bat" %*
set CUR_DIR=%cd%
cd /d "%~dp0\..\..\.."
set WAS_HOME=%cd%
cd /d "%CUR_DIR%"

IF "%1" == "" GOTO help
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

:Loop
IF "%1" == "" GOTO ahead
IF "%1" == "-dbType" (
  set dbType=%2
  GOTO Forward
)
IF "%1" == "-dbName" (
  set dbName=%2
  GOTO Forward
)
IF "%1" == "-dbSchema" (
  set dbSchema=%2
  GOTO Forward
)
IF "%1" == "-host" (
  set hostname=%2
  GOTO Forward
)
IF "%1" == "-port" (
  set port=%2
  GOTO Forward
)
IF "%1" == "-dbUser" (
  set dbUser=%2
  GOTO Forward
)
IF "%1" == "-dbPassword" (
  set dbPassword=%2
  GOTO Forward
)
IF "%1" == "-dbDriverType" (
  set dbDriverType=%2
  GOTO Forward
)
:Forward
shift /1
shift /1
GOTO Loop

:ahead
set SYS_PROPS=-Djava.util.logging.config.file="%WAS_HOME%"\scripts.wbm\migration\DataMigration\logging.properties
set MY_CLASSPATH=%WAS_HOME%\scripts.wbm\migration\DataMigration\com.ibm.wbimonitor.datamigration.jar;%WAS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar;%WAS_HOME%\plugins\com.ibm.wbimonitor.persistence.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc_license_cisuz.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc_license_cu.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc4.jar;%WAS_HOME%\jdbcdrivers\Oracle\ojdbc6.jar;%WAS_HOME%\jdbcdrivers\SQLServer\sqljdbc4.jar

"%WAS_HOME%"\java\jre\bin\java -classpath "%MY_CLASSPATH%" "%SYS_PROPS%" com.ibm.wbimonitor.datamigration.DataMigration %dbType% %dbName% %dbSchema% %hostname% %port% %dbUser% %dbPassword% %dbDriverType%
if "%ERRORLEVEL%" NEQ "0" (
	goto fail
) else (
	goto success
)

:help
echo.
echo Usage:
echo DataMigration.bat -dbType ^<database type^> -dbName ^<database name^> -dbSchema ^<schema name^> 
echo    -host ^<hostname of database^> -port ^<database port^> 
echo    -dbUser ^<user name of database^> -dbPassword ^<password of database^> 
echo    [-dbDriverType ^<JDBC driver type, only for DB2ZOS^>]
echo.
echo Where:
echo    -dbType(required):
echo        Database type of the monitor database, the value may be: DB2/Oracle/SQLServer/DB2ZOS.
echo    -dbName(required):
echo        Name of the monitor database.
echo    -dbSchema(required):
echo        Schema name of the monitor database.
echo    -host(required):
echo        Host name or IP address of the monitor database.
echo    -port(required):
echo        The port of monitor database.
echo    -dbUser(required):
echo        User name that is authorized to access monitor database.
echo    -dbPassword(required):
echo        Password that is authorized to access monitor databae.
echo    -dbDriverType(optional):
echo        JDBC driver type that is used to connect to database, this parameter is necessary only when database type is DB2ZOS.
echo        The value should be 2 when it's local database, otherwise the value should be 4.
echo.
echo Usage Example:
echo    DataMigration.bat -dbType DB2 -dbName MONITOR -dbSchema MONITOR -host localhost -port 50000 -dbUser db2admin -dbPassword db2pwd
echo.
GOTO success

:success
	cd /d "%CUR_DIR%"
	endlocal
	exit /B 0
:fail
	@echo Data migration is failed. Check the Data_Migration.log file for details.
	cd /d "%CUR_DIR%"
	endlocal
	exit /B 1
